@import url('https://fonts.googleapis.com/css2?family=Lato&family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Prompt:wght@400;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Prompt:wght@200;900&family=Red+Hat+Display:wght@300;900&display=swap');
html,body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:"lato";
    background-color: rgb(206, 209, 219);
}

.hero {
    position:relative;
    height:100vh; /* Set the height of your hero section */
    width: 100vw; /*Make the hero section full width */
    display: flex; 
    margin-bottom: 20px; 
 }

  .hero-img {
    /* overflow: hidden; Hide overflowing content */
    position:relative;
    background-image: url('kitten-grass.jpg');
    background-size: cover;
    background-position: center;
    width:100%;
    height:100%; 
    z-index:1;
  }

  .overlay{
    position:absolute;
    top: 0;
    left: 0;
    width:100%;
    height:100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index:2;
  }

  .hero-title{
    position:absolute;
    top:50%;
    left:20%;
    transform:translate(-50%,-50%);
    z-index: 3;
    text-align: center;
    color:rgb(195, 182, 163);
    font-size: 30px;
    letter-spacing: .1rem;
    font-weight: light;
  }

  .logo{
    display:flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 40px;
    }

    .hero-title img{
        margin-left: 10px;
    }

  .header{
    position: relative;
    display:flex;
    justify-content:flex-end;
    margin-top: 20px;
  }

  .menu{
    color: white;
    padding: 15px;
    display:flex;
    justify-content: center;
    align-items: center;
  }

  ion-icon{
    font-size: 30px;
    color:#B55926;
    cursor: pointer;
  }

  .close-menu{
    align-self: flex-end;
    color:white;
  }

  .menu-links{
    display: flex;
    flex-direction: column;
    position:fixed;
    background-color:#B55926;
    padding:15px;
    top:0;
    right:-200px;
    overflow-x:hidden;
    transition:right 0.3s ease;
    height:100%;
  }

  .menu-links a{
    text-decoration: none;
    color:white;
    letter-spacing: .2rem;
    padding: 5px;
    border-bottom:solid 1px rgb(128, 61, 22);
    margin-bottom: 2px;
  }

  /* .menu-links.show {
    right: 0;
  } */

  /* .left-col{
    background-color:#B55926;
    font-family:'red hat display';
    width:20%;
    height:100%;
    position: relative;
  } */

  /* .hero-title {
    position: absolute;
    top: 50%;
    left: 96%;
    width: 30%;  Set the width for the left column 
    transform: translate(-86px,-50%);
    color: white;
    letter-spacing: .2rem;
    font-size: 4rem;
    font-weight: bold;
} */

  .hero-title-right{
    color:#B55926;
   
  }

  .hero-title-bottom{
    display:flex;
    align-items: center;
 }

 .hero-btn{
    border:none;
 }
/*.img-div::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5); /* Adjust the last value (0.5) for the desired opacity */
/*  }*/

/*.hero:before{
    content:'';
    position:absolute;
    top: 0;
    left:0;
    right:0;
    height:10px;
    background:linear-gradient(to left,rgb(181, 89, 38), rgb(255, 157, 104));    
}

.hero:after{
    content:'';
    position:absolute;
    bottom: 0;
    left:0;
    right:0;
    height:10px;
    background:linear-gradient(to right,  rgb(181, 89, 38), rgb(255, 157, 104));
}*/



.animals{
    max-width:700px;
    margin:0 auto;
    margin-top: 60px;
}

.animal-card{
    display:flex;
    flex-direction: column;
    background-color: white;
    border-radius:20px;
    overflow: hidden;
    font-size:.75rem;
    margin: 30px 30px;

}

.img-div{
    overflow:hidden;
    max-width:100%;
}

.animal-img{
    display:block;
    width:100%;
    height:100%;
    object-fit: cover;
    transition:transform .3s ease-in-out;
    }

.animal-card:hover .animal-img{
    transform:rotate(20deg) scale(1.4);
}

.pet-name{
    margin:0;
    padding:0;
    font-weight:600;
    font-size: 1.2rem;
}

.pet-info small{
    font-size:.6rem;
    color:rgb(79, 78, 78);
}

.pet-info{
    flex:1;
    padding:20px 25px;
    font-size: 1rem;
    display:flex;
    flex-direction:column;
}

.pet-info p{
    margin:.8rem 0;
    padding:0;
    line-height: 1.5;
}

.info-btn{
    width:120px;
    padding:6px;
    text-decoration: none;
    text-align: center;
    border-radius:5px;
    background:linear-gradient(to top, rgb(181, 89, 38), rgb(255, 157, 104));
    border:none;
    font-size: 12;
    color:white;
}

.info-btn:hover{
    background: linear-gradient(rgb(241, 143, 90), rgb(241, 102, 27));
}

.pet-links{
    display:flex;
    justify-content: center;
    width:100%;
}

.pet-links a{
    padding:10px;
    text-decoration:none;
    border:solid 1px rgb(201, 166, 144);
    margin:3px;
    color:#B55926;
    border-radius: 4px;
}

.pet-links a:hover{
    background-color:rgb(201, 166, 144);
}

.pet-links .active:hover{
    background-color: #B55926;
    cursor:default;
}

.pet-links .active{
    color:white;
    background-color:#B55926;
}

.logo-name{
    text-align: center;
    padding: 15px;
    color: white;
    letter-spacing: .1rem;
    font-size: 1rem;
}

.nav-bar{
    position:absolute;
    top: 20px;
    right: 20px;
    visibility: hidden; 
    z-index: 3;
}

.nav-bar a{
    text-decoration: none;
    padding: 15px;
    font-size: 1rem;
    letter-spacing:.3rem;
    color:rgb(253, 241, 241);
}

.hero-btn{
    background-color: #b65a29;
    color:white;
    border-radius: 16px;
    font-weight: bold;
    padding: 10px 20px;
    white-space: nowrap;
    margin-left: 10px;
    cursor: pointer;
}

.only-lg-screen{
    display:none;
}

.contact-title{
    color:#B55926;
    font-size: 2rem;
    padding: 20px;
}

/*.menuToggle{
    position:absolute;
    top:0;
    right:0;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    padding:15px 20px;
    color:white;
}

#menu ul > li > a {
    border: 0;
    color: inherit;
    display: block;
    font-size: 0.8em;
    letter-spacing: 0.225em;
    outline: 0;
    text-decoration: none;
    text-transform: uppercase;
}

#menu {
    transform: translateX(20em);
    transition: transform 0.5s ease;
    -webkit-overflow-scrolling: touch;
    background: #934a90;
    color: #ffffff;
    height: 300px;
    overflow-y: auto;
    padding: 3em 2em;
    position: fixed;
    right: 0;
    top: 0;

    z-index: 10002;
}

    #menu ul {
        list-style: none;
        padding: 0;
    }

        #menu ul > li {
            border-top: solid 1px rgba(0, 0, 0, 0.125);
            margin: 0.5em 0 0 0;
            padding: 0.5em 0 0 0;
        }

            #menu ul > li:first-child {
                border-top: 0 !important;
                margin-top: 0 !important;
                padding-top: 0 !important;
            }

*/

form{
    display:flex;
    flex-direction:column;
    justify-content: flex-start;
    align-items: center;
    background-color:rgba(238, 234, 231, 0.3);
    width:60%;
    margin:0 auto;
    padding: 20px;
    /* border-radius: 16px; */
    margin-bottom: 30px;
}

 form input{
    padding: 15px;
    height:40px;
}

.name-and-email{
    margin-bottom:30px;
}

.msg{
    width:500px;
    height:auto;
    margin-bottom: 30px;
}

.message{
    width:100%;
    height:100%;
    margin-bottom: 30px;
}

form p textarea,select,input,.message{
    border-radius: 4px;
    border:none;
    background-color:rgba(247, 208, 208, 0.5) ;
}

form label, label option{
    color:#b65a29;
}

.contact-btn{
    padding: 10px 15px;
    text-align: center;
    border:none;
    border-radius: 5px;
    width:100px;
    color:white;
    background-color: #B55926;
    letter-spacing: .1rem;
}

.contact-btn:hover{
    color:#b65a29;
    border:solid 1px #b65a29;
    background-color: transparent;
    transition: ease-in-out 0.3s;
}
    
@media screen and (min-width:1024px) {
    .hero{
        height:500px;
    }
}

@media screen and (min-width:768px){
    .animal-card{
        display:flex;
        flex-direction: row;
        margin:30px 0;
    }

    .menu{
        display:none;
    }

    .img-div{
        max-width:200px;
    }

    .only-lg-screen{
        display:inline;
    }

    .nav-bar{
        visibility:visible;
        align-self: flex-start;
    }

}